Subject: bug#73827: [ELPA] [PATCH] register-list fails on "Unprintable entity" registers

From: Philip Kaludercic <[email-masked]>
Date: Tue, 26 Nov 2024 21:56:49 +0000

Alex Bochannek <[email-masked]> writes:

> Hello!
>
> I have not submitted patches against an ELPA package before, so I hope
> this format is OK. I tried to follow the instruction on pulling ELPA
> from Git, but the make step failed for me.
>
> The register-list mode throws an error on start-up when there are
> unknown register types in the register-alist. This can happen with
> window configurations and saved session state after a restart. The
> reason for this is a simple line flip in the register-list-get-type
> function.
>
> --- /Users/awb/.emacs.d/elpa/register-list-0.1/register-list.el.~1~	2023-01-10 19:36:23
> +++ /Users/awb/.emacs.d/elpa/register-list-0.1/register-list.el	2024-10-15 15:49:37
> @@ -483,8 +483,8 @@
>  	    (t "error"))
>      (cond ((window-configuration-p (car key)) "W")
>  	  ((frame-configuration-p (car key)) "F")
> -	  ((stringp (car key)) "R")
>  	  ((string= "Unprintable entity" (car key)) "?")

The change confuses me, are we sure that (car key) must be a string at
this point?  If not, should be prefer `equal' over `string='?

> +	  ((stringp (car key)) "R")
>  	  (t "error"))))
>  
>  ;;; Edit key/value of the register
>
>
> Apologies again for the format of this submission. If someone could
> point me at instructions for how to make your life easier next time, I'd
> appreciate it.

You can try out

  M-x package-vc-install register-list RET

that should give you a checkout.  You can then make your changes as
usual and then prepare a patch using vc-prepare-patch or git-format-patch(1).

> Thanks!